/* $Workfile: OtxBurstStatsDlg.h $       $Revision: 1 $      $Modtime: 3/28/12 4:43p $  */
/*******************************************************************************

  Odin TeleSystems Inc.

  OTX Telecom Adapter Driver

  @doc PublicDemo

  @module

    OtxBurstStatsDlg.h

    A simple example Windows application demonstrating the use of OTX
    Driver with the Plus cards.

    The sample application provides a simple windows gui interface which
    demostrates one of the many ways to implement a windows application.
    This demo is a simple Microsoft MFC dialog based application that
    presents a list of Burst capable devices that are found in the machine
    and displays the Burst statistics.

*******************************************************************************/

// OtxBurstStatsDlg.h : header file
//

#if !defined(AFX_OTXBURSTSTATSDLG_H__945CB157_BD98_43D3_A194_9B3414EA1BA9__INCLUDED_)
#define AFX_OTXBURSTSTATSDLG_H__945CB157_BD98_43D3_A194_9B3414EA1BA9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// OTX SDK headers
#include "OsaStd.h"
#include "OtxErr.h"
#include "OtxDrv.h"
#include "OtxBurst.h"
#include "OtxBurstD.h"
#include "OtxBrdD.h"

#define COL_PROPERTY                0
#define COL_SEND                    1
#define COL_RECV                    2

#define ROW_STARTS                  0
#define ROW_COMPLETES               1
#define ROW_PARTIAL                 2
#define ROW_FULL                    3
#define ROW_ABORTS                  4
#define ROW_AMOUNT                  5
#define ROW_ERRORS                  6
#define ROW_OURUNS                  7
#define ROW_OURUNS_USER             8
#define ROW_DMABUSY                 9
#define ROW_NOTIFY                  10
#define ROW_NOTIFY_PARTIAL          11
#define ROW_FIFO_SIZE               12
#define ROW_FIFO_TRIGGER            13
#define ROW_FIFO_COUNT              14
#define ROW_FIFO_PEAK               15
#define ROW_FIFO_TRIGGER_COUNT      16
#define ROW_CODE_ERRORS             17
#define ROW_RESERVED0               18
#define ROW_RESERVED1               19
#define ROW_RESERVED2               20
#define ROW_RESERVED3               21
#define ROW_RESERVED4               22
#define ROW_RESERVED5               23
#define ROW_RESERVED6               24
#define ROW_RESERVED7               25
#define ROW_MAX                     26

/////////////////////////////////////////////////////////////////////////////
// COtxBurstStatsDlg dialog

class COtxBurstStatsDlg : public CDialog
{
// Construction
public:
	COtxBurstStatsDlg(CWnd* pParent = NULL);	// standard constructor

  void Fill_cbOtxDevices();
  void ReportError(OTX_HANDLE hDev, OTX_RESULT resErr);
  void FormatTimeStamp(OTX_DATETIME nTimeStamp, CString &s);

  OTX_HANDLE hBurst;
  OtxVersionInfo m_sApiVersionInfo;
  char m_szDriverVersionStr[128];
  char m_szApiVersionStr[128];


// Dialog Data
	//{{AFX_DATA(COtxBurstStatsDlg)
	enum { IDD = IDD_OTXBURSTSTATS_DIALOG };
	CListCtrl	m_List1;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COtxBurstStatsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(COtxBurstStatsDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnSelchangeCombo1();
	afx_msg void OnClose();
	afx_msg void OnButton1();
	afx_msg void OnButton2();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OTXBURSTSTATSDLG_H__945CB157_BD98_43D3_A194_9B3414EA1BA9__INCLUDED_)
